# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         configfilename        sample.wmcalc

Name:           wmcalc
Version:        0.7
Release:        alt1_3
Summary:        A dock application that is a simple four function calculator
License:        GPLv2
Group:          Monitoring

URL:            http://repo.or.cz/w/dockapps.git/
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
Source44: import.info


%description
wmcalc is a program designed to act as a simple four-function
calculator. It is different from other calculator programs in that it
is designed to take up very little desktop space. As such, it can be
left running on the desktop at all times.  It is intended to placed in
the WindowMaker dock but will nicely work with any window manager and
desktop environment that handles dock applications. Various options
can be changed in an easy-to-understand configuration file ".wmcalc",
assumed to reside in your home directory, an example of which being
provided in %{_datadir}/%{name}/%{configfilename}.



%prep
%setup -q


%build
autoreconf -fi
#setup_compile_flags
%configure
%make_build


%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 wmcalc.conf %{buildroot}%{_datadir}/%{name}/%configfilename
install -D -m 644 wmcalc.conf %{buildroot}%{_sysconfdir}/wmcalc.conf
install -D -m 644 *.xpm %{buildroot}%{_datadir}/%{name}
install -D -m 644 wmcalc.1 %{buildroot}%{_mandir}/man1/wmcalc.1

%files
%doc README COPYING
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/wmcalc.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{configfilename}
%{_datadir}/%{name}/*.xpm
%{_mandir}/man1/*1.*




%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.7-alt1_3
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_2
- update by mgaimport

* Sat Oct 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_4
- update by mgaimport

* Fri Mar 23 2018 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_3
- new version

